# SQL reserved words

This section lists all the Derby reserved words, including those in the SQL-92 standard. Derby will return an error if you use any of these keywords as an identifier name unless you surround the identifier name with quotes ("). See Rules for SQL92 identifiers.

- ADD
- ALL
- ALLOCATE
- ALTER
- AND
- ANY
- ARE
- AS
- ASC
- ASSERTION
- AT
- AUTHORIZATION
- AVG
- BEGIN
- BETWEEN
- BIGINT
- BIT
- BOOLEAN
- BOTH
- BY
- CALL
- CASCADE
- CASCADED
- CASE
- CAST
- CHAR
- CHARACTER
- CHECK
- CLOSE
- COALESCE
- COLLATE
- COLLATION
- COLUMN
- COMMIT
- CONNECT
- CONNECTION
- CONSTRAINT
- CONSTRAINTS
- CONTINUE
- CONVERT
- CORRESPONDING
- CREATE
- CURRENT
- CURRENT_DATE
- CURRENT_ROLE
- CURRENT_TIME
- CURRENT_TIMESTAMP
- CURRENT_USER
- CURSOR
- DEALLOCATE
- DEC
- DECIMAL
- DECLARE
- DEFAULT
- DEFERRABLE
- DEFERRED
- DELETE
- DESC
- DESCRIBE
- DIAGNOSTICS
- DISCONNECT
- DISTINCT
- DOUBLE
- DROP
- ELSE
- END
- END-EXEC
- ESCAPE
- EXCEPT
- EXCEPTION
- EXEC
- EXECUTE
- EXISTS
- EXPLAIN
- EXTERNAL
- FALSE
- FETCH
- FIRST
- FLOAT
- FOR
- FOREIGN
- FOUND
- FROM
- FULL
- FUNCTION
- GET
- GETCURRENTCONNECTION
- GLOBAL
- GO
- GOTO
- GRANT
- GROUP
- HAVING
- HOUR
- IDENTITY
- IMMEDIATE
- IN
- INDICATOR
- INITIALLY
- INNER
- INOUT
- INPUT
- INSENSITIVE
- INSERT
- INT
- INTEGER
- INTERSECT
- INTO
- IS
- ISOLATION
- JOIN
- KEY
- LAST
- LEFT
- LIKE
- LOWER
- LTRIM
- MATCH
- MAX
- MIN
- MINUTE
- NATIONAL
- NATURAL
- NCHAR
- NVARCHAR
- NEXT
- NO
- NONE
- NOT
- NULL
- NULLIF
- NUMERIC
- OF
- ON
- ONLY
- OPEN
- OPTION
- OR
- ORDER
- OUTER
- OUTPUT
- OVER
- OVERLAPS
- PAD
- PARTIAL
- PREPARE
- PRESERVE
- PRIMARY
- PRIOR
- PRIVILEGES
- PROCEDURE
- PUBLIC
- READ
- REAL
- REFERENCES
- RELATIVE
- RESTRICT
- REVOKE
- RIGHT
- ROLLBACK
- ROWS
- ROW_NUMBER
- RTRIM
- SCHEMA
- SCROLL
- SECOND
- SELECT
- SESSION_USER
- SET
- SMALLINT
- SOME
- SPACE
- SQL
- SQLCODE
- SQLERROR
- SQLSTATE
- SUBSTR
- SUBSTRING
- SUM
- SYSTEM_USER
- TABLE
- TEMPORARY
- TIMEZONE_HOUR
- TIMEZONE_MINUTE
- TO
- TRANSACTION
- TRANSLATE
- TRANSLATION
- TRIM
- TRUE
- UNION
- UNIQUE
- UNKNOWN
- UPDATE
- UPPER
- USER
- USING
- VALUES
- VARCHAR
- VARYING
- VIEW
- WHENEVER
- WHERE
- WITH
- WORK
- WRITE
- XML
- XMLEXISTS
- XMLPARSE
- XMLQUERY
- XMLSERIALIZE
- YEAR